# Uses of Interface
org.eclipse.debug.core.sourcelookup.ISourceLookupDirector

Packages that use ISourceLookupDirector
Package
Description
org.eclipse.debug.core.sourcelookup
Provides support for source lookup.
org.eclipse.debug.core.sourcelookup.containers
Provides implementations of common source containers supporting source lookup.
org.eclipse.debug.ui.sourcelookup
Provides a user interface for debug platform source lookup facilities.

## Uses of ISourceLookupDirector in org.eclipse.debug.core.sourcelookup

Classes in org.eclipse.debug.core.sourcelookup that implement ISourceLookupDirector
Modifier and Type
Class
Description
`class`
`AbstractSourceLookupDirector`
Directs source lookup among a collection of source lookup participants, and a common collection of source containers.
Methods in org.eclipse.debug.core.sourcelookup that return ISourceLookupDirector
Modifier and Type
Method
Description
`protected ISourceLookupDirector`
AbstractSourceLookupParticipant.`getDirector()`
Returns the source lookup director this participant is registered with or `null` if none.
Methods in org.eclipse.debug.core.sourcelookup with parameters of type ISourceLookupDirector
Modifier and Type
Method
Description
`void`
AbstractSourceLookupParticipant.`init(ISourceLookupDirector director)`
`void`
ISourceContainer.`init(ISourceLookupDirector director)`
Notification this source container has been added to the given source lookup director.
`void`
ISourceLookupParticipant.`init(ISourceLookupDirector director)`
Notification this participant has been added to the specified source lookup director.
`void`
AbstractSourceLookupParticipant.`sourceContainersChanged(ISourceLookupDirector director)`
`void`
ISourceLookupParticipant.`sourceContainersChanged(ISourceLookupDirector director)`
Notification that the source lookup containers in the given source lookup director have changed.

## Uses of ISourceLookupDirector in org.eclipse.debug.core.sourcelookup.containers

Methods in org.eclipse.debug.core.sourcelookup.containers that return ISourceLookupDirector
Modifier and Type
Method
Description
`protected ISourceLookupDirector`
AbstractSourceContainer.`getDirector()`
Returns the source lookup director this source container registered in, or `null` if none.
Methods in org.eclipse.debug.core.sourcelookup.containers with parameters of type ISourceLookupDirector
Modifier and Type
Method
Description
`void`
AbstractSourceContainer.`init(ISourceLookupDirector director)`
`void`
ArchiveSourceContainer.`init(ISourceLookupDirector director)`

## Uses of ISourceLookupDirector in org.eclipse.debug.ui.sourcelookup

Methods in org.eclipse.debug.ui.sourcelookup with parameters of type ISourceLookupDirector
Modifier and Type
Method
Description
`ISourceContainer[]`
AbstractSourceContainerBrowser.`addSourceContainers(Shell shell, ISourceLookupDirector director)`
`ISourceContainer[]`
ISourceContainerBrowser.`addSourceContainers(Shell shell, ISourceLookupDirector director)`
Creates and returns new source containers to add to the given source lookup director.
`boolean`
AbstractSourceContainerBrowser.`canAddSourceContainers(ISourceLookupDirector director)`
`boolean`
ISourceContainerBrowser.`canAddSourceContainers(ISourceLookupDirector director)`
Returns whether this browser can add any source containers to the given source lookup director.
`boolean`
AbstractSourceContainerBrowser.`canEditSourceContainers(ISourceLookupDirector director, ISourceContainer[] containers)`
`boolean`
ISourceContainerBrowser.`canEditSourceContainers(ISourceLookupDirector director, ISourceContainer[] containers)`
Returns whether this browser can edit the given source containers.
`ISourceContainer[]`
AbstractSourceContainerBrowser.`editSourceContainers(Shell shell, ISourceLookupDirector director, ISourceContainer[] containers)`
`ISourceContainer[]`
ISourceContainerBrowser.`editSourceContainers(Shell shell, ISourceLookupDirector director, ISourceContainer[] containers)`
Edits and returns source containers to replace the given source containers.
Constructors in org.eclipse.debug.ui.sourcelookup with parameters of type ISourceLookupDirector
Modifier
Constructor
Description
``
`SourceLookupDialog(Shell shell, ISourceLookupDirector director)`
Constructs a dialog to edit the source lookup path managed by the given source lookup director.